Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5099)
@@ -3164,122 +3060,117 @@
 
 
-       IF (iflag_conv>=3) THEN
-       IF (logitime) THEN
-       CALL SYSTEM_CLOCK(COUNT=clock_start)
-       ENDIF
-
-
-       IF (lessivage)  THEN
-       print *,' BEFORE lsc_scav '
-       IF (lminmax) THEN
-        DO itr=1,nbtr
-       CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before_lsc_scav')
-        ENDDO
-        DO itr=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before lsc_scav')
-        ENDDO
-      IF (lcheckmass) THEN
-        DO itr=1,nbtr
-         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
-           pplay,t_seri,iscm3,'before lsc_scav')
-        ENDDO
+    IF (iflag_conv>=3) THEN
+      IF (logitime) THEN
+        CALL SYSTEM_CLOCK(COUNT = clock_start)
       ENDIF
-        CALL minmaxsource(source_tr,qmin,qmax,'src: before lsc_scav')
+
+      IF (lessivage)  THEN
+        print *, ' BEFORE lsc_scav '
+        IF (lminmax) THEN
+          DO itr = 1, nbtr
+            CALL checknanqfi(tr_seri(:, :, itr), qmin, qmax, 'nan_before_lsc_scav')
+          ENDDO
+          DO itr = 1, nbtr
+            CALL minmaxqfi2(tr_seri(:, :, itr), qmin, qmax, 'before lsc_scav')
+          ENDDO
+          IF (lcheckmass) THEN
+            DO itr = 1, nbtr
+              CALL checkmass(tr_seri(:, :, itr), RNAVO, masse(itr), zdz, &
+                      pplay, t_seri, iscm3, 'before lsc_scav')
+            ENDDO
+          ENDIF
+          CALL minmaxsource(source_tr, qmin, qmax, 'src: before lsc_scav')
+        ENDIF
+
+        ql_incloud_ref = 10.e-4
+        ql_incloud_ref = 5.e-4
+        ! calcul du contenu en eau liquide au sein du nuage
+        ql_incl = ql_incloud_ref
+        ! choix du lessivage
+        IF (iflag_lscav == 3 .OR. iflag_lscav == 4) THEN
+          !IF (.false.) THEN  ! test #DFB (Binta) sans lsc_scav_spl
+          print *, 'JE iflag_lscav', iflag_lscav
+          DO itr = 1, nbtr
+
+            !       incloud scavenging and removal by large scale rain ! orig : ql_incl
+            !         was replaced by 0.5e-3 kg/kg
+            !          the value 0.5e-3 kg/kg is from Giorgi and Chameides (1986), JGR
+            !         Liu (2001) proposed to use 1.5e-3 kg/kg
+
+            !       CALL lsc_scav_orig(pdtphys,itr,iflag_lscav,ql_incl,prfl,psfl,
+            !     .               rneb,beta_fisrt, beta_v1,pplay,paprs,
+            !     .               t_seri,tr_seri,d_tr_insc,
+            !     .               d_tr_bcscav,d_tr_evapls,qPrls)
+            CALL lsc_scav_spl(pdtphys, itr, iflag_lscav, ql_incl, prfl, psfl, &
+                    rneb, beta_fisrt, beta_v1, pplay, paprs, &
+                    t_seri, tr_seri, d_tr_insc, &
+                    alpha_r, alpha_s, kk, henry, &
+                    id_prec, id_fine, id_coss, id_codu, id_scdu, &
+                    d_tr_bcscav, d_tr_evapls, qPrls)
+
+            !large scale scavenging tendency
+            DO k = 1, klev
+              DO i = 1, klon
+                d_tr_ls(i, k, itr) = d_tr_insc(i, k, itr) + d_tr_bcscav(i, k, itr) &
+                        + d_tr_evapls(i, k, itr)
+                tr_seri(i, k, itr) = tr_seri(i, k, itr) + d_tr_ls(i, k, itr)
+                tmp_var(i, k) = d_tr_ls(i, k, itr)
+              ENDDO
+            ENDDO
+
+            CALL kg_to_cm3(pplay, t_seri, tmp_var)
+
+            DO k = 1, klev
+              DO i = 1, klon
+                his_dhkelsc(i, itr) = his_dhkelsc(i, itr) - tmp_var(i, k)    &
+                        / RNAVO * masse(itr) * 1.e3 * 1.e6 * zdz(i, k) / pdtphys
+
+              END DO
+            END DO
+
+          END DO  !it=1,nbtr
+
+        ELSE
+          print *, 'WARNING: NO lsc_scav, Please choose iflag_lscav=3 or 4'
+          DO itr = 1, nbtr
+            DO i = 1, klon
+              his_dhkelsc(i, itr) = 0.0
+            END DO  ! klon
+          END DO  !it=1,nbtr
+        ENDIF !iflag_lscav
+
+        print *, ' AFTER lsc_scav '
+        IF (lminmax) THEN
+          DO itr = 1, nbtr
+            CALL checknanqfi(tr_seri(:, :, itr), qmin, qmax, 'nan_after_lsc_scav')
+          ENDDO
+          DO itr = 1, nbtr
+            CALL minmaxqfi2(tr_seri(:, :, itr), qmin, qmax, 'after lsc_scav')
+          ENDDO
+          IF (lcheckmass) THEN
+            DO itr = 1, nbtr
+              CALL checkmass(tr_seri(:, :, itr), RNAVO, masse(itr), zdz, &
+                      pplay, t_seri, iscm3, 'after lsc_scav')
+            ENDDO
+          ENDIF
+          CALL minmaxsource(source_tr, qmin, qmax, 'src: after lsc_scav')
+        ENDIF
+
+      ENDIF ! lessivage
+
+      IF (logitime) THEN
+        CALL SYSTEM_CLOCK(COUNT = clock_end)
+        dife = clock_end - clock_start
+        ti_lscs = dife * MAX(0, SIGN(1, dife))   &
+                + (dife + clock_per_max) * MAX(0, SIGN(1, -dife))
+        tia_lscs = tia_lscs + REAL(ti_lscs) / REAL(clock_rate)
       ENDIF
 
-
-
-       ql_incloud_ref = 10.e-4
-       ql_incloud_ref =  5.e-4
-! calcul du contenu en eau liquide au sein du nuage
-       ql_incl = ql_incloud_ref
-! choix du lessivage
-      IF (iflag_lscav == 3 .OR. iflag_lscav == 4) THEN
-      !IF (.false.) THEN  ! test #DFB (Binta) sans lsc_scav_spl
-        print *,'JE iflag_lscav',iflag_lscav
-        DO itr=1,nbtr
-
-!       incloud scavenging and removal by large scale rain ! orig : ql_incl
-!         was replaced by 0.5e-3 kg/kg
-!          the value 0.5e-3 kg/kg is from Giorgi and Chameides (1986), JGR
-!         Liu (2001) proposed to use 1.5e-3 kg/kg
-
-!       CALL lsc_scav_orig(pdtphys,itr,iflag_lscav,ql_incl,prfl,psfl,
-!     .               rneb,beta_fisrt, beta_v1,pplay,paprs,
-!     .               t_seri,tr_seri,d_tr_insc, 
-!     .               d_tr_bcscav,d_tr_evapls,qPrls)
-          CALL lsc_scav_spl(pdtphys,itr,iflag_lscav,ql_incl,prfl,psfl,  &
-                    rneb,beta_fisrt, beta_v1,pplay,paprs,      &
-                    t_seri,tr_seri,d_tr_insc,                  &
-                    alpha_r,alpha_s,kk, henry,                 &
-                    id_prec,id_fine,id_coss, id_codu, id_scdu, &
-                    d_tr_bcscav,d_tr_evapls,qPrls)
-
-!large scale scavenging tendency
-          DO k = 1, klev
-           DO i = 1, klon
-                d_tr_ls(i,k,itr)=d_tr_insc(i,k,itr)+d_tr_bcscav(i,k,itr) &
-                        +d_tr_evapls(i,k,itr)
-                tr_seri(i,k,itr)=tr_seri(i,k,itr)+d_tr_ls(i,k,itr)
-                         tmp_var(i,k)=d_tr_ls(i,k,itr)
-           ENDDO
-          ENDDO
-
-          CALL kg_to_cm3(pplay,t_seri,tmp_var)
-
-          DO k=1,klev
-           DO i=1,klon
-            his_dhkelsc(i,itr)=his_dhkelsc(i,itr)-tmp_var(i,k)    &
-                     /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys
-     
-           END DO
-          END DO
-
-        END DO  !it=1,nbtr
-
-      ELSE
-        print *,'WARNING: NO lsc_scav, Please choose iflag_lscav=3 or 4'
-        DO itr=1,nbtr
-          DO i=1,klon
-            his_dhkelsc(i,itr)=0.0
-          END DO  ! klon
-         END DO  !it=1,nbtr
-      ENDIF !iflag_lscav 
-
-       print *,' AFTER lsc_scav '
-       IF (lminmax) THEN
-        DO itr=1,nbtr
-       CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_lsc_scav')
-        ENDDO
-        DO itr=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after lsc_scav')
-        ENDDO
-      IF (lcheckmass) THEN
-        DO itr=1,nbtr
-         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz, &
-           pplay,t_seri,iscm3,'after lsc_scav')
-        ENDDO
-       ENDIF
-        CALL minmaxsource(source_tr,qmin,qmax,'src: after lsc_scav')
-      ENDIF
-
-      ENDIF ! lessivage
- 
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_end)
-      dife=clock_end-clock_start
-      ti_lscs=dife*MAX(0,SIGN(1,dife))   &
-      +(dife+clock_per_max)*MAX(0,SIGN(1,-dife))
-      tia_lscs=tia_lscs+REAL(ti_lscs)/REAL(clock_rate)
-      ENDIF
-
-
-
-      ENDIF !iflag_conv
-
- 
-!=======================================================================
-!                         COMPUTING THE BURDEN
-!=======================================================================
+    ENDIF !iflag_conv
+
+
+    !=======================================================================
+    !                         COMPUTING THE BURDEN
+    !=======================================================================
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
@@ -3289,272 +3180,263 @@
 #endif
 
-!   
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_start)
-      ENDIF
-
-  
-      DO itr=1,nbtr
-        DO j=1,klev
-        DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,itr)
-        ENDDO
-        ENDDO
-        CALL kg_to_cm3(pplay,t_seri,tmp_var)
-        DO j=1,klev
-        DO i=1,klon
-           tr_seri(i,j,itr)=tmp_var(i,j)
-        ENDDO
-        ENDDO
-      ENDDO
-       iscm3=.true.
-
-!
-! Computing burden in mg/m2
-      DO itr=1,nbtr
-      DO k=1, klev
-      DO i=1, klon
-        trm(i,itr)=trm(i,itr)+tr_seri(i,k,itr)*1.e6*zdz(i,k)*  &
-                 masse(itr)*1.e3/RNAVO     !--mg S/m2
-      ENDDO
-      ENDDO
-      ENDDO
-!
-! Computing Surface concentration in ug/m3
-!
-      DO itr=1,nbtr
-      DO i=1, klon
-        sconc_seri(i,itr)=tr_seri(i,1,itr)*1.e6* &
-                 masse(itr)*1.e3/RNAVO     !--mg/m3 (tr_seri ist in g/cm3)
-      ENDDO
-      ENDDO
-!
-!=======================================================================
-!                  CALCULATION OF OPTICAL PROPERTIES
-!=======================================================================
-!      
-      CALL aeropt_spl(zdz, tr_seri, RHcl,                                 &
-                        id_prec, id_fine, id_coss, id_codu, id_scdu,     &
-                        ok_chimeredust,                                 &
-                    diff_aod550_tot, diag_aod670_tot, diag_aod865_tot,     &
-                    diff_aod550_tr2, diag_aod670_tr2, diag_aod865_tr2,     &
-                    diag_aod550_ss,  diag_aod670_ss,  diag_aod865_ss,        &
-                    diag_aod550_dust,diag_aod670_dust,diag_aod865_dust,  &
-           diag_aod550_dustsco,diag_aod670_dustsco,diag_aod865_dustsco)  
-
-
-
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_end)
-      dife=clock_end-clock_start
-      ti_brop=dife*MAX(0,SIGN(1,dife))   &
-      +(dife+clock_per_max)*MAX(0,SIGN(1,-dife))
-      tia_brop=tia_brop+REAL(ti_brop)/REAL(clock_rate)
-      ENDIF
-
-
-!=======================================================================
-!   MODIS terra/aqua simulation output
-!=======================================================================
-      masque_aqua_cur(:)=0
-      masque_terra_cur(:)=0
-
-      CALL satellite_out_spla(jD_cur,jH_cur,pdtphys,rlat,rlon,   &
-                              masque_aqua_cur, masque_terra_cur )
-      IF (jH_cur-pdtphys/86400. < 0.) THEN
-       !new utc day: put in 0 everything
-!JE20150518<<
-       masque_aqua(:) =0
-       masque_terra(:) =0
-       aod550_terra(:)=0.  
-       aod550_tr2_terra(:)=0.  
-       aod550_ss_terra(:)=0.   
-       aod550_dust_terra(:)=0.   
-       aod550_dustsco_terra(:)=0.   
-       aod670_terra(:)=0.   
-       aod670_tr2_terra(:)=0.  
-       aod670_ss_terra(:)=0.  
-       aod670_dust_terra(:)=0.  
-       aod670_dustsco_terra(:)=0.  
-       aod865_terra(:)=0.   
-       aod865_tr2_terra(:)=0.  
-       aod865_ss_terra(:)=0.  
-       aod865_dust_terra(:)=0.  
-       aod865_dustsco_terra(:)=0.  
-       aod550_aqua(:)=0.  
-       aod550_tr2_aqua(:)=0.  
-       aod550_ss_aqua(:)=0.   
-       aod550_dust_aqua(:)=0.   
-       aod550_dustsco_aqua(:)=0.   
-       aod670_aqua(:)=0.   
-       aod670_tr2_aqua(:)=0.  
-       aod670_ss_aqua(:)=0.  
-       aod670_dust_aqua(:)=0.  
-       aod670_dustsco_aqua(:)=0.  
-       aod865_aqua(:)=0.   
-       aod865_tr2_aqua(:)=0.  
-       aod865_ss_aqua(:)=0.  
-       aod865_dust_aqua(:)=0.  
-       aod865_dustsco_aqua(:)=0.  
-!JE20150518>>
-      ENDIF
-
-      DO i=1,klon
-
-       aod550_terra(i)=aod550_terra(i)+   &
-                       masque_terra_cur(i)*diff_aod550_tot(i)
-       aod550_tr2_terra(i)= aod550_tr2_terra(i)+ &
-                       masque_terra_cur(i)*diff_aod550_tr2(i)
-       aod550_ss_terra(i)=aod550_ss_terra(i) + &
-                       masque_terra_cur(i)*diag_aod550_ss(i)
-       aod550_dust_terra(i)=  aod550_dust_terra(i) + &
-                       masque_terra_cur(i)*diag_aod550_dust(i)
-       aod550_dustsco_terra(i)= aod550_dustsco_terra(i) + &
-                       masque_terra_cur(i)*diag_aod550_dustsco(i)
-       aod670_terra(i)=aod670_terra(i)+   &
-                       masque_terra_cur(i)*diag_aod670_tot(i)
-       aod670_tr2_terra(i)= aod670_tr2_terra(i)+ &
-                       masque_terra_cur(i)*diag_aod670_tr2(i)
-       aod670_ss_terra(i)=aod670_ss_terra(i) + &
-                       masque_terra_cur(i)*diag_aod670_ss(i)
-       aod670_dust_terra(i)=  aod670_dust_terra(i) + &
-                       masque_terra_cur(i)*diag_aod670_dust(i)
-       aod670_dustsco_terra(i)= aod670_dustsco_terra(i) + &
-                       masque_terra_cur(i)*diag_aod670_dustsco(i)
-       aod865_terra(i)=aod865_terra(i)+   &
-                       masque_terra_cur(i)*diag_aod865_tot(i)
-       aod865_tr2_terra(i)= aod865_tr2_terra(i)+ &
-                       masque_terra_cur(i)*diag_aod865_tr2(i)
-       aod865_ss_terra(i)=aod865_ss_terra(i) + &
-                       masque_terra_cur(i)*diag_aod865_ss(i)
-       aod865_dust_terra(i)=  aod865_dust_terra(i) + &
-                       masque_terra_cur(i)*diag_aod865_dust(i)
-       aod865_dustsco_terra(i)= aod865_dustsco_terra(i) + &
-                       masque_terra_cur(i)*diag_aod865_dustsco(i)
-
-
-
-       aod550_aqua(i)=aod550_aqua(i)+   &
-                       masque_aqua_cur(i)*diff_aod550_tot(i)
-       aod550_tr2_aqua(i)= aod550_tr2_aqua(i)+ &
-                       masque_aqua_cur(i)*diff_aod550_tr2(i)
-       aod550_ss_aqua(i)=aod550_ss_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod550_ss(i)
-       aod550_dust_aqua(i)=  aod550_dust_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod550_dust(i)
-       aod550_dustsco_aqua(i)= aod550_dustsco_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod550_dustsco(i)
-       aod670_aqua(i)=aod670_aqua(i)+   &
-                       masque_aqua_cur(i)*diag_aod670_tot(i)
-       aod670_tr2_aqua(i)= aod670_tr2_aqua(i)+ &
-                       masque_aqua_cur(i)*diag_aod670_tr2(i)
-       aod670_ss_aqua(i)=aod670_ss_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod670_ss(i)
-       aod670_dust_aqua(i)=  aod670_dust_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod670_dust(i)
-       aod670_dustsco_aqua(i)= aod670_dustsco_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod670_dustsco(i)
-       aod865_aqua(i)=aod865_aqua(i)+   &
-                       masque_aqua_cur(i)*diag_aod865_tot(i)
-       aod865_tr2_aqua(i)= aod865_tr2_aqua(i)+ &
-                       masque_aqua_cur(i)*diag_aod865_tr2(i)
-       aod865_ss_aqua(i)=aod865_ss_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod865_ss(i)
-       aod865_dust_aqua(i)=  aod865_dust_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod865_dust(i)
-       aod865_dustsco_aqua(i)= aod865_dustsco_aqua(i) + &
-                       masque_aqua_cur(i)*diag_aod865_dustsco(i)
-
-               masque_aqua(i)=masque_aqua(i)+masque_aqua_cur(i)
-         masque_terra(i)=masque_terra(i)+masque_terra_cur(i)
-      ENDDO
-
-      IF (jH_cur+pdtphys/86400. >= 1.) THEN
-!          print *,'last step of the day'
-          DO i=1,klon
-               IF (masque_aqua(i)> 0) THEN
-                   aod550_aqua(i)=aod550_aqua(i)/masque_aqua(i)
-                   aod670_aqua(i)=aod670_aqua(i)/masque_aqua(i)
-                   aod865_aqua(i)=aod865_aqua(i)/masque_aqua(i)
-                   aod550_tr2_aqua(i)=aod550_tr2_aqua(i)/masque_aqua(i)
-                   aod670_tr2_aqua(i)=aod670_tr2_aqua(i)/masque_aqua(i)
-                   aod865_tr2_aqua(i)=aod865_tr2_aqua(i)/masque_aqua(i)
-                   aod550_ss_aqua(i)=aod550_ss_aqua(i)/masque_aqua(i)
-                   aod670_ss_aqua(i)=aod670_ss_aqua(i)/masque_aqua(i)
-                   aod865_ss_aqua(i)=aod865_ss_aqua(i)/masque_aqua(i)
-                   aod550_dust_aqua(i)=aod550_dust_aqua(i)/masque_aqua(i)
-                   aod670_dust_aqua(i)=aod670_dust_aqua(i)/masque_aqua(i)
-                   aod865_dust_aqua(i)=aod865_dust_aqua(i)/masque_aqua(i)
-                   aod550_dustsco_aqua(i)=aod550_dustsco_aqua(i)/masque_aqua(i)
-                   aod670_dustsco_aqua(i)=aod670_dustsco_aqua(i)/masque_aqua(i)
-                   aod865_dustsco_aqua(i)=aod865_dustsco_aqua(i)/masque_aqua(i)
-               ELSE 
-                   aod550_aqua(i) = -999.
-                   aod670_aqua(i) = -999.
-                   aod865_aqua(i) = -999.
-                   aod550_tr2_aqua(i)= -999.
-                   aod670_tr2_aqua(i)= -999.
-                   aod865_tr2_aqua(i)= -999.
-                   aod550_ss_aqua(i)= -999.
-                   aod670_ss_aqua(i)= -999.
-                   aod865_ss_aqua(i)= -999.
-                   aod550_dust_aqua(i)= -999.
-                   aod670_dust_aqua(i)= -999.
-                   aod865_dust_aqua(i)= -999.
-                   aod550_dustsco_aqua(i)= -999.
-                   aod670_dustsco_aqua(i)= -999.
-                   aod865_dustsco_aqua(i)= -999.
-               ENDIF
-               IF (masque_terra(i)> 0) THEN
-                   aod550_terra(i)=aod550_terra(i)/masque_terra(i)
-                   aod670_terra(i)=aod670_terra(i)/masque_terra(i)
-                   aod865_terra(i)=aod865_terra(i)/masque_terra(i)
-                   aod550_tr2_terra(i)=aod550_tr2_terra(i)/masque_terra(i)
-                   aod670_tr2_terra(i)=aod670_tr2_terra(i)/masque_terra(i)
-                   aod865_tr2_terra(i)=aod865_tr2_terra(i)/masque_terra(i)
-                   aod550_ss_terra(i)=aod550_ss_terra(i)/masque_terra(i)
-                   aod670_ss_terra(i)=aod670_ss_terra(i)/masque_terra(i)
-                   aod865_ss_terra(i)=aod865_ss_terra(i)/masque_terra(i)
-                   aod550_dust_terra(i)=aod550_dust_terra(i)/masque_terra(i)
-                   aod670_dust_terra(i)=aod670_dust_terra(i)/masque_terra(i)
-                   aod865_dust_terra(i)=aod865_dust_terra(i)/masque_terra(i)
-                   aod550_dustsco_terra(i)=aod550_dustsco_terra(i)/masque_terra(i)
-                   aod670_dustsco_terra(i)=aod670_dustsco_terra(i)/masque_terra(i)
-                   aod865_dustsco_terra(i)=aod865_dustsco_terra(i)/masque_terra(i)
-               ELSE 
-                   aod550_terra(i) = -999.
-                   aod670_terra(i) = -999.
-                   aod865_terra(i) = -999.
-                   aod550_tr2_terra(i)= -999.
-                   aod670_tr2_terra(i)= -999.
-                   aod865_tr2_terra(i)= -999.
-                   aod550_ss_terra(i)= -999.
-                   aod670_ss_terra(i)= -999.
-                   aod865_ss_terra(i)= -999.
-                   aod550_dust_terra(i)= -999.
-                   aod670_dust_terra(i)= -999.
-                   aod865_dust_terra(i)= -999.
-                   aod550_dustsco_terra(i)= -999.
-                   aod670_dustsco_terra(i)= -999.
-                   aod865_dustsco_terra(i)= -999.
-               ENDIF
-          ENDDO          
-
-!!AS deleting lines
-!!      IF (ok_histrac) THEN
-!!!!      write in output file
-!!----many deleted lines
-!!      ENDIF  !mpi_root
-!!!$OMP END MASTER
-!!!$OMP BARRIER
-!!      ENDIF  !--ok_histrac
-
-      ENDIF ! jH_cur...
-
-
-!
-!======================================================================
-!  Stockage sur bande histoire
-!======================================================================
+    IF (logitime) THEN
+      CALL SYSTEM_CLOCK(COUNT = clock_start)
+    ENDIF
+
+    DO itr = 1, nbtr
+      DO j = 1, klev
+        DO i = 1, klon
+          tmp_var(i, j) = tr_seri(i, j, itr)
+        ENDDO
+      ENDDO
+      CALL kg_to_cm3(pplay, t_seri, tmp_var)
+      DO j = 1, klev
+        DO i = 1, klon
+          tr_seri(i, j, itr) = tmp_var(i, j)
+        ENDDO
+      ENDDO
+    ENDDO
+    iscm3 = .true.
+
+    ! Computing burden in mg/m2
+    DO itr = 1, nbtr
+      DO k = 1, klev
+        DO i = 1, klon
+          trm(i, itr) = trm(i, itr) + tr_seri(i, k, itr) * 1.e6 * zdz(i, k) * &
+                  masse(itr) * 1.e3 / RNAVO     !--mg S/m2
+        ENDDO
+      ENDDO
+    ENDDO
+
+    ! Computing Surface concentration in ug/m3
+
+    DO itr = 1, nbtr
+      DO i = 1, klon
+        sconc_seri(i, itr) = tr_seri(i, 1, itr) * 1.e6 * &
+                masse(itr) * 1.e3 / RNAVO     !--mg/m3 (tr_seri ist in g/cm3)
+      ENDDO
+    ENDDO
+
+    !=======================================================================
+    !                  CALCULATION OF OPTICAL PROPERTIES
+    !=======================================================================
+
+    CALL aeropt_spl(zdz, tr_seri, RHcl, &
+            id_prec, id_fine, id_coss, id_codu, id_scdu, &
+            ok_chimeredust, &
+            diff_aod550_tot, diag_aod670_tot, diag_aod865_tot, &
+            diff_aod550_tr2, diag_aod670_tr2, diag_aod865_tr2, &
+            diag_aod550_ss, diag_aod670_ss, diag_aod865_ss, &
+            diag_aod550_dust, diag_aod670_dust, diag_aod865_dust, &
+            diag_aod550_dustsco, diag_aod670_dustsco, diag_aod865_dustsco)
+
+    IF (logitime) THEN
+      CALL SYSTEM_CLOCK(COUNT = clock_end)
+      dife = clock_end - clock_start
+      ti_brop = dife * MAX(0, SIGN(1, dife))   &
+              + (dife + clock_per_max) * MAX(0, SIGN(1, -dife))
+      tia_brop = tia_brop + REAL(ti_brop) / REAL(clock_rate)
+    ENDIF
+
+
+    !=======================================================================
+    !   MODIS terra/aqua simulation output
+    !=======================================================================
+    masque_aqua_cur(:) = 0
+    masque_terra_cur(:) = 0
+
+    CALL satellite_out_spla(jD_cur, jH_cur, pdtphys, rlat, rlon, &
+            masque_aqua_cur, masque_terra_cur)
+    IF (jH_cur - pdtphys / 86400. < 0.) THEN
+      !new utc day: put in 0 everything
+      !JE20150518<<
+      masque_aqua(:) = 0
+      masque_terra(:) = 0
+      aod550_terra(:) = 0.
+      aod550_tr2_terra(:) = 0.
+      aod550_ss_terra(:) = 0.
+      aod550_dust_terra(:) = 0.
+      aod550_dustsco_terra(:) = 0.
+      aod670_terra(:) = 0.
+      aod670_tr2_terra(:) = 0.
+      aod670_ss_terra(:) = 0.
+      aod670_dust_terra(:) = 0.
+      aod670_dustsco_terra(:) = 0.
+      aod865_terra(:) = 0.
+      aod865_tr2_terra(:) = 0.
+      aod865_ss_terra(:) = 0.
+      aod865_dust_terra(:) = 0.
+      aod865_dustsco_terra(:) = 0.
+      aod550_aqua(:) = 0.
+      aod550_tr2_aqua(:) = 0.
+      aod550_ss_aqua(:) = 0.
+      aod550_dust_aqua(:) = 0.
+      aod550_dustsco_aqua(:) = 0.
+      aod670_aqua(:) = 0.
+      aod670_tr2_aqua(:) = 0.
+      aod670_ss_aqua(:) = 0.
+      aod670_dust_aqua(:) = 0.
+      aod670_dustsco_aqua(:) = 0.
+      aod865_aqua(:) = 0.
+      aod865_tr2_aqua(:) = 0.
+      aod865_ss_aqua(:) = 0.
+      aod865_dust_aqua(:) = 0.
+      aod865_dustsco_aqua(:) = 0.
+      !JE20150518>>
+    ENDIF
+
+    DO i = 1, klon
+
+      aod550_terra(i) = aod550_terra(i) + &
+              masque_terra_cur(i) * diff_aod550_tot(i)
+      aod550_tr2_terra(i) = aod550_tr2_terra(i) + &
+              masque_terra_cur(i) * diff_aod550_tr2(i)
+      aod550_ss_terra(i) = aod550_ss_terra(i) + &
+              masque_terra_cur(i) * diag_aod550_ss(i)
+      aod550_dust_terra(i) = aod550_dust_terra(i) + &
+              masque_terra_cur(i) * diag_aod550_dust(i)
+      aod550_dustsco_terra(i) = aod550_dustsco_terra(i) + &
+              masque_terra_cur(i) * diag_aod550_dustsco(i)
+      aod670_terra(i) = aod670_terra(i) + &
+              masque_terra_cur(i) * diag_aod670_tot(i)
+      aod670_tr2_terra(i) = aod670_tr2_terra(i) + &
+              masque_terra_cur(i) * diag_aod670_tr2(i)
+      aod670_ss_terra(i) = aod670_ss_terra(i) + &
+              masque_terra_cur(i) * diag_aod670_ss(i)
+      aod670_dust_terra(i) = aod670_dust_terra(i) + &
+              masque_terra_cur(i) * diag_aod670_dust(i)
+      aod670_dustsco_terra(i) = aod670_dustsco_terra(i) + &
+              masque_terra_cur(i) * diag_aod670_dustsco(i)
+      aod865_terra(i) = aod865_terra(i) + &
+              masque_terra_cur(i) * diag_aod865_tot(i)
+      aod865_tr2_terra(i) = aod865_tr2_terra(i) + &
+              masque_terra_cur(i) * diag_aod865_tr2(i)
+      aod865_ss_terra(i) = aod865_ss_terra(i) + &
+              masque_terra_cur(i) * diag_aod865_ss(i)
+      aod865_dust_terra(i) = aod865_dust_terra(i) + &
+              masque_terra_cur(i) * diag_aod865_dust(i)
+      aod865_dustsco_terra(i) = aod865_dustsco_terra(i) + &
+              masque_terra_cur(i) * diag_aod865_dustsco(i)
+
+      aod550_aqua(i) = aod550_aqua(i) + &
+              masque_aqua_cur(i) * diff_aod550_tot(i)
+      aod550_tr2_aqua(i) = aod550_tr2_aqua(i) + &
+              masque_aqua_cur(i) * diff_aod550_tr2(i)
+      aod550_ss_aqua(i) = aod550_ss_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod550_ss(i)
+      aod550_dust_aqua(i) = aod550_dust_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod550_dust(i)
+      aod550_dustsco_aqua(i) = aod550_dustsco_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod550_dustsco(i)
+      aod670_aqua(i) = aod670_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod670_tot(i)
+      aod670_tr2_aqua(i) = aod670_tr2_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod670_tr2(i)
+      aod670_ss_aqua(i) = aod670_ss_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod670_ss(i)
+      aod670_dust_aqua(i) = aod670_dust_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod670_dust(i)
+      aod670_dustsco_aqua(i) = aod670_dustsco_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod670_dustsco(i)
+      aod865_aqua(i) = aod865_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod865_tot(i)
+      aod865_tr2_aqua(i) = aod865_tr2_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod865_tr2(i)
+      aod865_ss_aqua(i) = aod865_ss_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod865_ss(i)
+      aod865_dust_aqua(i) = aod865_dust_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod865_dust(i)
+      aod865_dustsco_aqua(i) = aod865_dustsco_aqua(i) + &
+              masque_aqua_cur(i) * diag_aod865_dustsco(i)
+
+      masque_aqua(i) = masque_aqua(i) + masque_aqua_cur(i)
+      masque_terra(i) = masque_terra(i) + masque_terra_cur(i)
+    ENDDO
+
+    IF (jH_cur + pdtphys / 86400. >= 1.) THEN
+      !          print *,'last step of the day'
+      DO i = 1, klon
+        IF (masque_aqua(i)> 0) THEN
+          aod550_aqua(i) = aod550_aqua(i) / masque_aqua(i)
+          aod670_aqua(i) = aod670_aqua(i) / masque_aqua(i)
+          aod865_aqua(i) = aod865_aqua(i) / masque_aqua(i)
+          aod550_tr2_aqua(i) = aod550_tr2_aqua(i) / masque_aqua(i)
+          aod670_tr2_aqua(i) = aod670_tr2_aqua(i) / masque_aqua(i)
+          aod865_tr2_aqua(i) = aod865_tr2_aqua(i) / masque_aqua(i)
+          aod550_ss_aqua(i) = aod550_ss_aqua(i) / masque_aqua(i)
+          aod670_ss_aqua(i) = aod670_ss_aqua(i) / masque_aqua(i)
+          aod865_ss_aqua(i) = aod865_ss_aqua(i) / masque_aqua(i)
+          aod550_dust_aqua(i) = aod550_dust_aqua(i) / masque_aqua(i)
+          aod670_dust_aqua(i) = aod670_dust_aqua(i) / masque_aqua(i)
+          aod865_dust_aqua(i) = aod865_dust_aqua(i) / masque_aqua(i)
+          aod550_dustsco_aqua(i) = aod550_dustsco_aqua(i) / masque_aqua(i)
+          aod670_dustsco_aqua(i) = aod670_dustsco_aqua(i) / masque_aqua(i)
+          aod865_dustsco_aqua(i) = aod865_dustsco_aqua(i) / masque_aqua(i)
+        ELSE
+          aod550_aqua(i) = -999.
+          aod670_aqua(i) = -999.
+          aod865_aqua(i) = -999.
+          aod550_tr2_aqua(i) = -999.
+          aod670_tr2_aqua(i) = -999.
+          aod865_tr2_aqua(i) = -999.
+          aod550_ss_aqua(i) = -999.
+          aod670_ss_aqua(i) = -999.
+          aod865_ss_aqua(i) = -999.
+          aod550_dust_aqua(i) = -999.
+          aod670_dust_aqua(i) = -999.
+          aod865_dust_aqua(i) = -999.
+          aod550_dustsco_aqua(i) = -999.
+          aod670_dustsco_aqua(i) = -999.
+          aod865_dustsco_aqua(i) = -999.
+        ENDIF
+        IF (masque_terra(i)> 0) THEN
+          aod550_terra(i) = aod550_terra(i) / masque_terra(i)
+          aod670_terra(i) = aod670_terra(i) / masque_terra(i)
+          aod865_terra(i) = aod865_terra(i) / masque_terra(i)
+          aod550_tr2_terra(i) = aod550_tr2_terra(i) / masque_terra(i)
+          aod670_tr2_terra(i) = aod670_tr2_terra(i) / masque_terra(i)
+          aod865_tr2_terra(i) = aod865_tr2_terra(i) / masque_terra(i)
+          aod550_ss_terra(i) = aod550_ss_terra(i) / masque_terra(i)
+          aod670_ss_terra(i) = aod670_ss_terra(i) / masque_terra(i)
+          aod865_ss_terra(i) = aod865_ss_terra(i) / masque_terra(i)
+          aod550_dust_terra(i) = aod550_dust_terra(i) / masque_terra(i)
+          aod670_dust_terra(i) = aod670_dust_terra(i) / masque_terra(i)
+          aod865_dust_terra(i) = aod865_dust_terra(i) / masque_terra(i)
+          aod550_dustsco_terra(i) = aod550_dustsco_terra(i) / masque_terra(i)
+          aod670_dustsco_terra(i) = aod670_dustsco_terra(i) / masque_terra(i)
+          aod865_dustsco_terra(i) = aod865_dustsco_terra(i) / masque_terra(i)
+        ELSE
+          aod550_terra(i) = -999.
+          aod670_terra(i) = -999.
+          aod865_terra(i) = -999.
+          aod550_tr2_terra(i) = -999.
+          aod670_tr2_terra(i) = -999.
+          aod865_tr2_terra(i) = -999.
+          aod550_ss_terra(i) = -999.
+          aod670_ss_terra(i) = -999.
+          aod865_ss_terra(i) = -999.
+          aod550_dust_terra(i) = -999.
+          aod670_dust_terra(i) = -999.
+          aod865_dust_terra(i) = -999.
+          aod550_dustsco_terra(i) = -999.
+          aod670_dustsco_terra(i) = -999.
+          aod865_dustsco_terra(i) = -999.
+        ENDIF
+      ENDDO
+
+      !!AS deleting lines
+      !!      IF (ok_histrac) THEN
+      !!!!      write in output file
+      !!----many deleted lines
+      !!      ENDIF  !mpi_root
+      !!!$OMP END MASTER
+      !!!$OMP BARRIER
+      !!      ENDIF  !--ok_histrac
+
+    ENDIF ! jH_cur...
+
+    !======================================================================
+    !  Stockage sur bande histoire
+    !======================================================================
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
